package com.zkqy.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

import java.io.Serializable;

/**
 * 节点处理用户对象 bpm_node_handle_user
 *
 * @author hzh
 * @date 2023-10-26
 */
public class BpmNodeHandleUser extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1234L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 虚拟角色：勾选特定用户生成虚拟角色编号
     */
    @Excel(name = "虚拟角色：勾选特定用户生成虚拟角色编号")
    private String virtuallyRole;

    /**
     * 真实角色：选择角色执行，存储真实角色编号（权限字符）
     */
    @Excel(name = "真实角色：选择角色执行，存储真实角色编号", readConverterExp = "权=限字符")
    private String realRole;

    /**
     * 执行用户编号
     */
    @Excel(name = "执行用户编号")
    private String executeUserNo;

    public BpmNodeHandleUser(String virtuallyRole) {
        this.virtuallyRole = virtuallyRole;
    }

    public BpmNodeHandleUser() {

    }

    public BpmNodeHandleUser(Long id, String virtuallyRole, String realRole, String executeUserNo) {
        this.id = id;
        this.virtuallyRole = virtuallyRole;
        this.realRole = realRole;
        this.executeUserNo = executeUserNo;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setVirtuallyRole(String virtuallyRole) {
        this.virtuallyRole = virtuallyRole;
    }

    public String getVirtuallyRole() {
        return virtuallyRole;
    }

    public void setRealRole(String realRole) {
        this.realRole = realRole;
    }

    public String getRealRole() {
        return realRole;
    }

    public void setExecuteUserNo(String executeUserNo) {
        this.executeUserNo = executeUserNo;
    }

    public String getExecuteUserNo() {
        return executeUserNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("virtuallyRole", getVirtuallyRole())
                .append("realRole", getRealRole())
                .append("executeUserNo", getExecuteUserNo())
                .toString();
    }
}
